Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Class ScriptConstants

    java.lang.Object
      org.eclipse.birt.report.model.api.simpleapi.ScriptConstants

    public class ScriptConstants

extends java.lang.Object

Constants for script

Field Summary
`static java.lang.String` | `ACTION_LINK_TYPE_BOOKMARK_LINK`
`static java.lang.String` | `ACTION_LINK_TYPE_DRILL_THROUGH`
`static java.lang.String` | `ACTION_LINK_TYPE_HYPERLINK`
`static java.lang.String` | `ACTION_LINK_TYPE_NONE`
`static java.lang.String` | `FILTER_OPERATOR_BETWEEN`
`static java.lang.String` | `FILTER_OPERATOR_BOTTOM_N`
`static java.lang.String` | `FILTER_OPERATOR_BOTTOM_PERCENT`
`static java.lang.String` | `FILTER_OPERATOR_EQ`
`static java.lang.String` | `FILTER_OPERATOR_FALSE`
`static java.lang.String` | `FILTER_OPERATOR_GE`
`static java.lang.String` | `FILTER_OPERATOR_GT`
`static java.lang.String` | `FILTER_OPERATOR_IN`
`static java.lang.String` | `FILTER_OPERATOR_LE`
`static java.lang.String` | `FILTER_OPERATOR_LIKE`
`static java.lang.String` | `FILTER_OPERATOR_LT`
`static java.lang.String` | `FILTER_OPERATOR_MATCH`
`static java.lang.String` | `FILTER_OPERATOR_NE`
`static java.lang.String` | `FILTER_OPERATOR_NOT_BETWEEN`
`static java.lang.String` | `FILTER_OPERATOR_NOT_IN`
`static java.lang.String` | `FILTER_OPERATOR_NOT_LIKE`
`static java.lang.String` | `FILTER_OPERATOR_NOT_MATCH`
`static java.lang.String` | `FILTER_OPERATOR_NOT_NULL`
`static java.lang.String` | `FILTER_OPERATOR_NULL`
`static java.lang.String` | `FILTER_OPERATOR_TOP_N`
`static java.lang.String` | `FILTER_OPERATOR_TOP_PERCENT`
`static java.lang.String` | `FILTER_OPERATOR_TRUE`
`static java.lang.String` | `SORT_DIRECTION_ASC`
`static java.lang.String` | `SORT_DIRECTION_DESC`

Constructor Summary
`ScriptConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTER_OPERATOR_EQ

    public static final java.lang.String FILTER_OPERATOR_EQ

See Also:
  Constant Field Values

### FILTER_OPERATOR_NE

    public static final java.lang.String FILTER_OPERATOR_NE

See Also:
  Constant Field Values

### FILTER_OPERATOR_LT

    public static final java.lang.String FILTER_OPERATOR_LT

See Also:
  Constant Field Values

### FILTER_OPERATOR_LE

    public static final java.lang.String FILTER_OPERATOR_LE

See Also:
  Constant Field Values

### FILTER_OPERATOR_GE

    public static final java.lang.String FILTER_OPERATOR_GE

See Also:
  Constant Field Values

### FILTER_OPERATOR_GT

    public static final java.lang.String FILTER_OPERATOR_GT

See Also:
  Constant Field Values

### FILTER_OPERATOR_BETWEEN

    public static final java.lang.String FILTER_OPERATOR_BETWEEN

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_BETWEEN

    public static final java.lang.String FILTER_OPERATOR_NOT_BETWEEN

See Also:
  Constant Field Values

### FILTER_OPERATOR_NULL

    public static final java.lang.String FILTER_OPERATOR_NULL

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_NULL

    public static final java.lang.String FILTER_OPERATOR_NOT_NULL

See Also:
  Constant Field Values

### FILTER_OPERATOR_TRUE

    public static final java.lang.String FILTER_OPERATOR_TRUE

See Also:
  Constant Field Values

### FILTER_OPERATOR_FALSE

    public static final java.lang.String FILTER_OPERATOR_FALSE

See Also:
  Constant Field Values

### FILTER_OPERATOR_LIKE

    public static final java.lang.String FILTER_OPERATOR_LIKE

See Also:
  Constant Field Values

### FILTER_OPERATOR_TOP_N

    public static final java.lang.String FILTER_OPERATOR_TOP_N

See Also:
  Constant Field Values

### FILTER_OPERATOR_BOTTOM_N

    public static final java.lang.String FILTER_OPERATOR_BOTTOM_N

See Also:
  Constant Field Values

### FILTER_OPERATOR_TOP_PERCENT

    public static final java.lang.String FILTER_OPERATOR_TOP_PERCENT

See Also:
  Constant Field Values

### FILTER_OPERATOR_BOTTOM_PERCENT

    public static final java.lang.String FILTER_OPERATOR_BOTTOM_PERCENT

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_IN

    public static final java.lang.String FILTER_OPERATOR_NOT_IN

See Also:
  Constant Field Values

### FILTER_OPERATOR_MATCH

    public static final java.lang.String FILTER_OPERATOR_MATCH

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_LIKE

    public static final java.lang.String FILTER_OPERATOR_NOT_LIKE

See Also:
  Constant Field Values

### FILTER_OPERATOR_NOT_MATCH

    public static final java.lang.String FILTER_OPERATOR_NOT_MATCH

See Also:
  Constant Field Values

### FILTER_OPERATOR_IN

    public static final java.lang.String FILTER_OPERATOR_IN

See Also:
  Constant Field Values

### SORT_DIRECTION_ASC

    public static final java.lang.String SORT_DIRECTION_ASC

See Also:
  Constant Field Values

### SORT_DIRECTION_DESC

    public static final java.lang.String SORT_DIRECTION_DESC

See Also:
  Constant Field Values

### ACTION_LINK_TYPE_NONE

    public static final java.lang.String ACTION_LINK_TYPE_NONE

See Also:
  Constant Field Values

### ACTION_LINK_TYPE_HYPERLINK

    public static final java.lang.String ACTION_LINK_TYPE_HYPERLINK

See Also:
  Constant Field Values

### ACTION_LINK_TYPE_DRILL_THROUGH

    public static final java.lang.String ACTION_LINK_TYPE_DRILL_THROUGH

See Also:
  Constant Field Values

### ACTION_LINK_TYPE_BOOKMARK_LINK

    public static final java.lang.String ACTION_LINK_TYPE_BOOKMARK_LINK

See Also:
  Constant Field Values

Constructor Detail

### ScriptConstants

    public ScriptConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.